Package: org.codehaus.groovy.runtime.m12n

## [Java] Class MetaInfExtensionModule

- org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule

- A SimpleExtensionModule implementation which reads extension classes metadata from META-INF.

  Since:
    2.0.0
  Authors:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_INSTANCE_CLASSES_KEY` |
    `static String` | `MODULE_STATIC_CLASSES_KEY` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<Class>` | `getInstanceMethodsExtensionClasses()`
    `` | `List<Class>` | `getStaticMethodsExtensionClasses()`
    `` | `static MetaInfExtensionModule` | `newModule(Properties properties, ClassLoader loader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleExtensionModule` | `getInstanceMethodsExtensionClasses, getMetaMethods, getStaticMethodsExtensionClasses`
    `class ExtensionModule` | `getMetaMethods, getName, getVersion, toString`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String MODULE_INSTANCE_CLASSES_KEY

    - #### public static final String MODULE_STATIC_CLASSES_KEY

  - ### Method Detail

    - #### @Override public List<Class> getInstanceMethodsExtensionClasses()

    - #### @Override public List<Class> getStaticMethodsExtensionClasses()

    - #### public static MetaInfExtensionModule newModule(Properties properties, ClassLoader loader)